ISO_KITE(1)

NAME
iso_kite - isohedral kite-faced polyhedra

SYNOPSIS
iso_kite [options] model_args...

DESCRIPTION
Create all isohedral polyhedra and polyhedron compounds whose face type is a kite (or dart)

Model_args can be a Schwarz triangle name (which can also be given as two or three fractions A, B, C (default 2) which specify the Schwarz triangle vertices, where n/d corresponds to an angle PI*d/n), optionally followed by a permutation letter from AaBbCc, to rotate the fraction A, B, or C to the front (and if lowercase then follow by swapping the last two fractions)

T1: (3 3 2) T2: (3 3 3/2)

O1: (4 3 2) O2: (4/3 4 3)

I1: (5 3 2) I2: (5/2 3 2)

I3: (5/2 5 2) I4: (5/2 3 3)

I5: (5/4 3 3) I6: (5/3 5 3)

I7: (5/4 5 3) I8: (5/3 5/2 3)

I9: (5/4 5 5) I10: (5/2 5/2 5/2)

If model_args is a single fraction then make a trapezohedron (with B and C as antiprism vertices). The kite has vertices along A, C, B, and C reflected in AB. The height of up to two vertices may be given, and the third is calculated (B and C have the same height in a trapezohedron). If less than two heights are given the calculated vertex will be B, if not specified, otherwise A. The kite is repeated with the symmetry corresponding to the base Schwarz triangle, or trapezohedron model. Notes: the tetrahedral triangles T1 and T2 both produce a model with octahedral symmetry when height A=-B (cube and rhombic dodecahedron, respectively). These models do not form an octahedral compound, and have common symmetry subgroup of Th in the icosahedral compounds. The 3 trapezohedron also has octahedral symmetry at height A=+/-B (cube), and likewise has a common symmetry subgroup of Th in icosahedral compounds.

Options

-h  this help message

-l num
    'list' will list all compounds of the specified base model, or all models and compounds if no base model specified. The list includes a model number and base model, and if a compound, the alignment symmetry (possibly with realignment number) and final symmetry (and possibly a final pre-realignment number). Specifying a number will make the the model with that number in the list.

-A ht
    height of kite apex on OA (default 1.0 or calculated)

-B ht
    height of kite apex on OB (only magnitude used if trapezohedron, default 1.0 or calculated)

-C ht
    height of kite side vertex on OC (Schwarz triangle only, default 1.0 or calculated)

-a ang
    angle, for compounds where this is a parameter

-N parts
    number of parts, for compounds where this is a parameter

-c type
    colour the faces around each vertex of a type, from AaBbCc (colouring by value/index for upper/lower case) using a different colour for each set (Schwarz models only), or Kk to colour by base component (which may be compound)

-k  output a single kite (colours not applied)

-q  quiet, don't print final report

-o <file> write output to file (default: write to standard output)

SEE ALSO
The full documentation for iso_kite is maintained as a Texinfo manual. If the info and iso_kite programs are properly installed at your site, the command

    info iso_kite

should give you access to the complete manual.